function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React, { useEffect, useContext } from "react";
import { Alert } from "antd";
import dayjs from "dayjs";
import { getOpenHoursByDate } from "./serve";
import { Context } from "../../model";
import { useRequest } from "ahooks";
import { getTimeRange } from "./utils";
import "./index.less";
var CurrentDay = function CurrentDay(props) {
  var _state$currentSelectD;
  var onClose = props.onClose,
    currentDay = props.currentDay;
  var _useContext = useContext(Context),
    state = _useContext.state,
    dispatch = _useContext.dispatch;
  var _getOpenHoursByDate = useRequest(getOpenHoursByDate, {
    manual: true,
    onSuccess: function onSuccess(_ref) {
      var data = _ref.data;
      dispatch({
        type: "setState",
        payload: {
          currentSelectDayDetail: _objectSpread(_objectSpread({}, state.currentSelectDayDetail), {}, {
            times: data,
            timeStr: getTimeRange(data)
          })
        }
      });
    }
  });
  useEffect(function () {
    if (currentDay) {
      _getOpenHoursByDate.run({
        date: dayjs(currentDay).format("YYYY-MM-DD")
      });
    }
  }, [currentDay]);
  return currentDay ? /*#__PURE__*/React.createElement(Alert, {
    onClose: onClose,
    closable: true,
    className: "current-day-alert",
    message: dayjs(currentDay).format("ddd MMMM YYYY"),
    description: ((_state$currentSelectD = state.currentSelectDayDetail) === null || _state$currentSelectD === void 0 ? void 0 : _state$currentSelectD.timeStr) || " "
  }) : null;
};
export default CurrentDay;